Subject: Re: GPL Violation
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 28 Feb 2003 20:43:39 -0500

On Fri, Feb 28, 2003 at 07:26:06PM -0500, Jason Tishler wrote:
>On Sat, Mar 01, 2003 at 01:01:43AM +0100, [email-masked] wrote:
>> Responding to Jason Tishler <[email-masked]>:
>> I'm sorry but I guess you did not read carefully what was written on
>> my page http://spt.free.fr/fetchmail/.
>
>I did.
>
>> In fact, I don't provide cygwin*.dll, this is actually RedHat's
>> property.
>
>Then what is the following?
>
>    http://spt.free.fr/fetchmail/cygwin1.dll
>
>> What I did is modify fetchmail's sources as downloadable on my page (see 
>> fetchmail-5.9.6.hacked_for_cygwin.tar.gz).
>
>And what about the following?
>
>    http://spt.free.fr/fetchmail/fetchmail-5.9.6-win32-setup-v1.0.1.exe
>
>which contains:
>
>    $ zipinfo fetchmail-5.9.6-win32-setup-v1.0.1.exe
>    Archive:  fetchmail-5.9.6-win32-setup-v1.0.1.exe   795256 bytes   12 files
>    -rw-a--     2.2 ntf     7203 b- stor  4-Feb-02 17:05 fienu.hl_
>*>  -rw-a--     2.2 ntf   322188 b- defX 13-Sep-01 05:03 cygwin1.dl_
>    -rw-a--     2.2 ntf      306 b- stor  7-Feb-02 10:13 fetchmail.cf_
>    -rw-a--     2.2 ntf   180155 b- defX  4-Feb-02 10:23 fetchmail.ex_
>    -rw-a--     2.2 ntf    17663 b- stor  4-Feb-02 17:05 fienu.dl_
>    -rw-a--     2.2 ntf    10366 b- stor 20-Jun-01 18:14 cygintl.dl_
>    -rw-a--     2.2 ntf    17883 b- stor  4-Feb-02 17:09 fifra.dl_
>    -rw-a--     2.2 ntf     7731 b- stor  4-Feb-02 17:09 fifra.hl_
>    -rw-a--     2.2 ntf    16343 b- stor 31-Aug-96 00:02 instsrv.ex_
>    -rw-a--     2.2 ntf     3838 b- stor 16-Jul-97 01:16 movexe.ex_
>    -rwxa--     2.2 ntf   207589 b- defX  4-Mar-02 14:52 setup.exe
>**> -rw-a--     2.2 ntf     3914 b- stor 31-Aug-96 00:11 srvany.ex_
>    12 files, 795179 bytes uncompressed, 761766 bytes compressed:  4.2%
>
>BTW, redistributing srvany.exe violates MS's SDK licensing.
>
>> So please, don't tell me I'm violating GPL Licenses ... :((
>
>Sorry, but IMO you are.

In case you need verification from someone with a redhat.com email address,
you certainly do seem to be violating the GPL.  In fact, if fetchmail is
released under the GPL, you're violating it on two counts.  You need to
provide source for the Cygwin DLL and for fetchmail.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/